## bzr 2.4.1

=== debian/changelog ===
bzr (2.4.1-1ubuntu1) oneiric; urgency=low

  * Merge from Debian.  Remaining changes:
   + Drop build dependencies on python-{subunit,meliae,lzma,medusa}, which are
     not in main.
   + Disable support for running selftest in parallel (requires subunit).

 -- Jelmer Vernooij <jelmer@ubuntu.com>  Tue, 13 Sep 2011 15:39:19 +0200

bzr (2.4.1-1) unstable; urgency=low

  * New upstream release.
   + Remove 04_fix_i18n, now applied upstream.

 -- Jelmer Vernooij <jelmer@vernstok.nl>  Tue, 13 Sep 2011 14:23:54 +0200

bzr (2.4.0-3ubuntu1) oneiric; urgency=low

  * Merge from Debian.  Remaining changes:
   + Drop build dependencies on python-{subunit,meliae,lzma,medusa}, which are
     not in main.
   + Disable support for running selftest in parallel (requires subunit).

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 31 Aug 2011 17:08:56 +0200

bzr (2.4.0-0ubuntu2) oneiric; urgency=low

  * Add support for older versions of python-testtools.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 15 Aug 2011 00:15:08 +0200

bzr (2.4.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.
   + Fixes version number in deprecation warnings. LP: #794960
   + Fixes some spelling mistakes in manual page. LP: #814311
   + Prevents taking file system locks in read only transactions.
     LP: #786980
   + Fix support for configuration files containing UTF-8 data.
     LP: #688677

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 14 Aug 2011 02:35:33 +0200

bzr (2.4.0~beta5-2ubuntu1) oneiric; urgency=low

  * Merge from Debian. Remaining changes:
   + Drop build dependencies on python-{subunit,meliae,lzma,medusa}, which are
     not in main.
   + Disable support for running selftest in parallel (requires subunit).
  * Fix compatibility with newer versions of Python 2.7. LP: #809048

 -- Jelmer Vernooij <jelmer@ubuntu.com>  Thu, 14 Jul 2011 18:18:11 +0200

bzr (2.4.0~beta4-4ubuntu2) oneiric; urgency=low

  * Fix FTBFS: build without --parallel.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 23 Jun 2011 11:45:29 +0200

bzr (2.4.0~beta4-4ubuntu1) oneiric; urgency=low

  * Merge from Debian. Remaining changes:
   + Drop build dependencies on python-{subunit,meliae,lzma,medusa}, which are
     not in main.
   + Disable support for running selftest in parallel (requires subunit).

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 23 Jun 2011 10:57:10 +0200

bzr (2.4.0~beta4-1ubuntu1) oneiric; urgency=low

  * Merge from Debian.

 -- Jelmer Vernooij <jelmer@ubuntu.com>  Fri, 17 Jun 2011 12:30:59 +0200

bzr (2.4.0~beta2-2ubuntu1) oneiric; urgency=low

  * Merge from Debian experimental.
   + Remove build dependencies not present in main: python-medusa,
     python-subunit, python-meliae, python-lzma.
   + Disable parallel testing.

 -- Jelmer Vernooij <jelmer@ubuntu.com>  Sat, 30 Apr 2011 16:20:58 +0200

=== debian/control ===
Source: bzr
Section: vcs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Jeff Bailey <jbailey@raspberryginger.com>,
           Wouter van Heyst <larstiq@larstiq.dyndns.org>,
           Reinhard Tartler <siretart@tauware.de>,
           Jelmer Vernooij <jelmer@debian.org>
Build-Conflicts: python-gpgme
Build-Depends: cython-dbg | python-pyrex,
               debhelper (>> 8.1.0~),
               python (>= 2.6.6-3),
               python-all-dev (>= 2.6.6-3),
               python-all-dbg (>= 2.6.6-3),
               python-configobj (>= 4.7.2+ds-2),
               python-docutils,
               python-testtools (>= 0.9.5~)
Standards-Version: 3.9.2
X-Python-Version: >= 2.6
Vcs-Bzr: https://code.launchpad.net/~bzr-core/ubuntu/oneiric/bzr/oneiric
Homepage: http://bazaar-vcs.org
Dm-Upload-Allowed: yes

Package: bzr
Architecture: all
Depends: python-bzrlib (>= ${source:Version}),
         python-bzrlib (<= ${source:Version}.1~),
         ${misc:Depends},
         ${python:Depends}
Breaks: python-bzrlib (<< 2.4.0~beta3~)
Recommends: bzrtools
Suggests: bzr-doc, bzr-gtk, bzr-svn, python-bzrlib.tests
Description: easy to use distributed version control system
 Bazaar is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many workflows, reliable, and
 easily extendable.
 .
 Publishing of branches can be done over plain HTTP, that is, no special
 software is needed on the server to host Bazaar branches. Branches can
 be pushed to the server via sftp (which most SSH installations come
 with), FTP, or over a custom and faster protocol if bzr is installed in
 the remote end.
 .
 Merging in Bazaar is easy, as the implementation is able to avoid many
 spurious conflicts, deals well with repeated merges between branches,
 and is able to handle modifications to renamed files correctly.
 .
 Bazaar is written in Python, and has a flexible plugin interface which
 can be used to extend its functionality. Many plugins exist, providing
 useful commands (bzrtools), graphical interfaces (bzr-gtk), or native
 interaction with Subversion branches (bzr-svn).
 .
 Install python-paramiko if you are going to push branches to remote
 hosts with sftp, and python-pycurl if you'd like for SSL certificates
 always to be verified.

Package: python-bzrlib
Architecture: any
Section: python
Depends: python-configobj,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: ca-certificates, python-launchpadlib, python-paramiko
Suggests: python-bzrlib.tests,
          python-kerberos (>= 1.0+svn2455-1),
          python-gpgme,
          python-pycurl,
          python-bzrlib-dbg,
          xdg-utils
Breaks: bzr (<< 2.3.0-2)
Provides: ${python:Provides}
Replaces: bzr (<< 2.3.0-2)
Description: distributed version control system - python library
 Bazaar is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many workflows, reliable, and
 easily extendable.
 .
 This package contains the Bazaar Python library.
 .
 Install python-paramiko if you are going to push branches to remote
 hosts with sftp, and python-pycurl if you'd like for SSL certificates
 always to be verified.

Package: python-bzrlib-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-bzrlib (= ${binary:Version})
Provides: ${python:Provides}
Recommends: python-dbg
Suggests: python-meliae-dbg, python-lzma-dbg, python-gpgme-dbg
Description: distributed version control system - debug extension
 Bazaar is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many workflows, reliable, and
 easily extendable.
 .
 This package contains the debug extension for the Bazaar Python library.

Package: python-bzrlib.tests
Architecture: all
Section: python
Depends: python-bzrlib (>= ${source:Version}),
         python-bzrlib (<= ${source:Version}.1~),
         python-testtools (>= 0.9.5~),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-subunit
Breaks: python-bzrlib (<< 2.4.0~beta1-2)
Provides: ${python:Provides}
Replaces: python-bzrlib (<< 2.4.0~beta1-2)
Description: distributed version control system - testsuite
 Bazaar is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many workflows, reliable, and
 easily extendable.
 .
 This package contains the bzrlib test infrastructure and testsuite,
 which is required to run the 'bzr selftest' command and to run
 plugin tests.

Package: bzr-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: bzr
Replaces: bzr (<< 2.0.1)
Breaks: bzr (<< 2.0.1)
Description: easy to use distributed version control system (documentation)
 Bazaar is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many workflows, reliable, and
 easily extendable.
 .
 Publishing of branches can be done over plain HTTP, that is, no special
 software is needed on the server to host Bazaar branches. Branches can
 be pushed to the server via sftp (which most SSH installations come
 with), FTP, or over a custom and faster protocol if bzr is installed in
 the remote end.
 .
 Merging in Bazaar is easy, as the implementation is able to avoid many
 spurious conflicts, deals well with repeated merges between branches,
 and is able to handle modifications to renamed files correctly.
 .
 Bazaar is written in Python, and has a flexible plugin interface which
 can be used to extend its functionality. Many plugins exist, providing
 useful commands (bzrtools), graphical interfaces (bzr-gtk), or native
 interaction with Subversion branches (bzr-svn).
 .
 Install python-paramiko if you are going to push branches to remote
 hosts with sftp, and python-pycurl if you'd like for SSL certificates
 always to be verified.
 .
 This package provides the documentation.

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/;s/b/.0~beta/" \
https://launchpad.net/bzr/2.4 http://launchpad.net/bzr/.*/bzr-(.+).tar.gz

## bzr 2.4.2

=== Makefile ===
# Copyright (C) 2005-2011 Canonical Ltd
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

# A relatively simple Makefile to assist in building parts of bzr. Mostly for
# building documentation, etc.


### Core Stuff ###

PYTHON=python
PYTHON24=python24
PYTHON25=python25
PYTHON26=python26
BZR_TARGET=release
PLUGIN_TARGET=plugin-release
PYTHON_BUILDFLAGS=

.PHONY: all clean realclean extensions pyflakes api-docs check-nodocs check

all: extensions

extensions:
	@echo "building extension modules."
	$(PYTHON) setup.py build_ext -i $(PYTHON_BUILDFLAGS)

check: docs check-nodocs

check-nodocs: extensions
	set -e
	# Generate a stream for PQM to watch.
	-$(RM) -f selftest.log
	echo `date` ": selftest starts" 1>&2
	$(PYTHON) -Werror -Wignore::ImportWarning -O ./bzr selftest --subunit $(tests) | tee selftest.log
	echo `date` ": selftest ends" 1>&2
	# An empty log file should catch errors in the $(PYTHON)
	# command above (the '|' swallow any errors since 'make'
	# sees the 'tee' exit code for the whole line
	if [ ! -s selftest.log ] ; then exit 1 ; fi
	# Check that there were no errors reported.
	subunit-stats < selftest.log

# Run Python style checker (apt-get install pyflakes)
#
# Note that at present this gives many false warnings, because it doesn't
# know about identifiers loaded through lazy_import.
pyflakes:
	pyflakes bzrlib

pyflakes-nounused:
	# There are many of these warnings at the moment and they're not a
	# high priority to fix
	pyflakes bzrlib | grep -v ' imported but unused'

clean:
	$(PYTHON) setup.py clean
	-find . -name "*.pyc" -o -name "*.pyo" -o -name "*.so" | xargs rm -f

realclean: clean
	# Remove files which are autogenerated but included by the tarball.
	rm -f bzrlib/*_pyx.c
	rm -f bzrlib/_simple_set_pyx.h bzrlib/_simple_set_pyx_api.h

# Build API documentation
docfiles = bzr bzrlib
api-docs:
	mkdir -p api/html
	pydoctor --make-html --docformat='restructuredtext' --html-output=api/html $(docfiles)

# build tags for emacs and vim
TAGS:
	ctags -R -e bzrlib

tags:
	ctags -R bzrlib

# these are treated as phony so they'll always be rebuilt - it's pretty quick
.PHONY: TAGS tags


### Documentation ###

# Default to plain documentation for maximum backwards compatibility.
# (Post 2.0, the defaults will most likely be Sphinx-style instead.)

docs: docs-plain

clean-docs: clean-plain

html-docs: html-plain


### Man-page Documentation ###

MAN_DEPENDENCIES = bzrlib/builtins.py \
	$(wildcard bzrlib/*.py) \
	$(wildcard bzrlib/*/*.py) \
	tools/generate_docs.py \
	$(wildcard $(addsuffix /*.txt, bzrlib/help_topics/en)) 

MAN_PAGES = man1/bzr.1
man1/bzr.1: $(MAN_DEPENDENCIES)
	$(PYTHON) tools/generate_docs.py -o $@ man


### Sphinx-style Documentation ###

# Build the documentation. To keep the dependencies down to a minimum
# for distro packagers, we only build the html documentation by default.
# Sphinx 0.6 or later is preferred for the best rendering, though
# Sphinx 0.4 or later should work. See http://sphinx.pocoo.org/index.html
# for installation instructions.
docs-sphinx: html-sphinx

# Clean out generated documentation
clean-sphinx:
	cd doc/en && make clean
	cd doc/es && make clean
	cd doc/ja && make clean
	cd doc/ru && make clean
	cd doc/developers && make clean

SPHINX_DEPENDENCIES = \
        doc/en/release-notes/index.txt \
        doc/en/user-reference/index.txt \
	doc/es/Makefile \
	doc/es/make.bat \
	doc/ja/Makefile \
	doc/ja/make.bat \
	doc/ru/Makefile \
	doc/ru/make.bat \
	doc/developers/Makefile \
	doc/developers/make.bat

NEWS_FILES = $(wildcard doc/en/release-notes/bzr-*.txt)

doc/en/user-reference/index.txt: $(MAN_DEPENDENCIES)
	$(PYTHON) tools/generate_docs.py -o $@ rstx

doc/en/release-notes/index.txt: $(NEWS_FILES) tools/generate_release_notes.py
	$(PYTHON) tools/generate_release_notes.py $@ $(NEWS_FILES)

doc/%/Makefile: doc/en/Makefile
	$(PYTHON) -c "import shutil; shutil.copyfile('$<', '$@')"

doc/%/make.bat: doc/en/make.bat
	$(PYTHON) -c "import shutil; shutil.copyfile('$<', '$@')"

# Build the html docs using Sphinx.
html-sphinx: $(SPHINX_DEPENDENCIES)
	cd doc/en && make html
	cd doc/es && make html
	cd doc/ru && make html
	cd doc/ja && make html
	cd doc/developers && make html

# Build the PDF docs using Sphinx. This requires numerous LaTeX
# packages. See http://sphinx.pocoo.org/builders.html for details.
# Note: We don't currently build PDFs for the Russian docs because
# they require additional packages to be installed (to handle
# Russian hyphenation rules, etc.)
pdf-sphinx: $(SPHINX_DEPENDENCIES)
	cd doc/en && make latex
	cd doc/es && make latex
	cd doc/ja && make latex
	cd doc/developers && make latex
	cd doc/en/_build/latex && make all-pdf
	cd doc/es/_build/latex && make all-pdf
	cd doc/developers/_build/latex && make all-pdf

# Build the CHM (Windows Help) docs using Sphinx.
# Note: HtmlHelp Workshop needs to be used on the generated hhp files
# to generate the final chm files.
chm-sphinx: $(SPHINX_DEPENDENCIES)
	cd doc/en && make htmlhelp
	cd doc/es && make htmlhelp
	cd doc/ru && make htmlhelp
	cd doc/ja && make htmlhelp
	cd doc/developers && make htmlhelp


### Documentation Website ###

# Where to build the website
DOC_WEBSITE_BUILD = build_doc_website

# Build and package docs into a website, complete with downloads.
doc-website: html-sphinx pdf-sphinx
	$(PYTHON) tools/package_docs.py doc/en $(DOC_WEBSITE_BUILD)
	$(PYTHON) tools/package_docs.py doc/es $(DOC_WEBSITE_BUILD)
	$(PYTHON) tools/package_docs.py doc/ru $(DOC_WEBSITE_BUILD)
	$(PYTHON) tools/package_docs.py doc/ja $(DOC_WEBSITE_BUILD)
	$(PYTHON) tools/package_docs.py doc/developers $(DOC_WEBSITE_BUILD)


### Plain Documentation ###

# While Sphinx is the preferred tool for building documentation, we still
# support our "plain" html documentation so that Sphinx is not a hard
# dependency for packagers on older platforms.

rst2html = $(PYTHON) tools/rst2html.py --link-stylesheet --footnote-references=superscript --halt=warning

# translate txt docs to html
derived_txt_files = \
	doc/en/release-notes/NEWS.txt
txt_all = \
	doc/en/tutorials/tutorial.txt \
	doc/en/tutorials/using_bazaar_with_launchpad.txt \
	doc/en/tutorials/centralized_workflow.txt \
        $(wildcard doc/es/tutorials/*.txt) \
		$(wildcard doc/ru/tutorials/*.txt) \
	doc/ja/tutorials/tutorial.txt \
	doc/ja/tutorials/using_bazaar_with_launchpad.txt \
	doc/ja/tutorials/centralized_workflow.txt \
	$(wildcard doc/*/mini-tutorial/index.txt) \
	$(wildcard doc/*/user-guide/index-plain.txt) \
	doc/en/admin-guide/index-plain.txt \
	$(wildcard doc/es/guia-usario/*.txt) \
	$(derived_txt_files) \
	doc/en/upgrade-guide/index.txt \
	doc/index.txt \
	$(wildcard doc/index.*.txt)
txt_nohtml = \
	doc/en/user-guide/index.txt \
	doc/es/user-guide/index.txt \
	doc/ja/user-guide/index.txt \
	doc/ru/user-guide/index.txt \
	doc/en/admin-guide/index.txt
txt_files = $(filter-out $(txt_nohtml), $(txt_all))
htm_files = $(patsubst %.txt, %.html, $(txt_files)) 

non_txt_files = \
       doc/default.css \
       $(wildcard doc/*/bzr-en-quick-reference.svg) \
       $(wildcard doc/*/bzr-en-quick-reference.png) \
       $(wildcard doc/*/bzr-en-quick-reference.pdf) \
       $(wildcard doc/*/bzr-es-quick-reference.svg) \
       $(wildcard doc/*/bzr-es-quick-reference.png) \
       $(wildcard doc/*/bzr-es-quick-reference.pdf) \
       $(wildcard doc/*/bzr-ru-quick-reference.svg) \
       $(wildcard doc/*/bzr-ru-quick-reference.png) \
       $(wildcard doc/*/bzr-ru-quick-reference.pdf) \
       $(wildcard doc/*/user-guide/images/*.png)

# doc/developers/*.txt files that should *not* be individually
# converted to HTML
dev_txt_nohtml = \
	doc/developers/add.txt \
	doc/developers/annotate.txt \
	doc/developers/bundle-creation.txt \
	doc/developers/commit.txt \
	doc/developers/diff.txt \
	doc/developers/directory-fingerprints.txt \
	doc/developers/gc.txt \
	doc/developers/implementation-notes.txt \
	doc/developers/incremental-push-pull.txt \
	doc/developers/index.txt \
	doc/developers/initial-push-pull.txt \
	doc/developers/merge-scaling.txt \
	doc/developers/miscellaneous-notes.txt \
	doc/developers/missing.txt \
	doc/developers/performance-roadmap-rationale.txt \
	doc/developers/performance-use-case-analysis.txt \
	doc/developers/planned-change-integration.txt \
	doc/developers/planned-performance-changes.txt \
	doc/developers/plans.txt \
	doc/developers/process.txt \
	doc/developers/revert.txt \
	doc/developers/specifications.txt \
	doc/developers/status.txt \
	doc/developers/uncommit.txt

dev_txt_all = $(wildcard $(addsuffix /*.txt, doc/developers))
dev_txt_files = $(filter-out $(dev_txt_nohtml), $(dev_txt_all))
dev_htm_files = $(patsubst %.txt, %.html, $(dev_txt_files)) 

doc/en/user-guide/index-plain.html: $(wildcard $(addsuffix /*.txt, doc/en/user-guide)) 
	$(rst2html) --stylesheet=../../default.css $(dir $@)index-plain.txt $@

#doc/es/user-guide/index.html: $(wildcard $(addsuffix /*.txt, doc/es/user-guide)) 
#	$(rst2html) --stylesheet=../../default.css $(dir $@)index.txt $@
#
#doc/ru/user-guide/index.html: $(wildcard $(addsuffix /*.txt, doc/ru/user-guide)) 
#	$(rst2html) --stylesheet=../../default.css $(dir $@)index.txt $@
#
doc/en/admin-guide/index-plain.html: $(wildcard $(addsuffix /*.txt, doc/en/admin-guide)) 
	$(rst2html) --stylesheet=../../default.css $(dir $@)index-plain.txt $@

doc/developers/%.html: doc/developers/%.txt
	$(rst2html) --stylesheet=../default.css $< $@

doc/index.html: doc/index.txt
	$(rst2html) --stylesheet=default.css $< $@

doc/index.%.html: doc/index.%.txt
	$(rst2html) --stylesheet=default.css $< $@

%.html: %.txt
	$(rst2html) --stylesheet=../../default.css $< "$@"

doc/en/release-notes/NEWS.txt: $(NEWS_FILES) tools/generate_release_notes.py
	$(PYTHON) tools/generate_release_notes.py "$@" $(NEWS_FILES)

upgrade_guide_dependencies =  $(wildcard $(addsuffix /*.txt, doc/en/upgrade-guide)) 

doc/en/upgrade-guide/index.html: $(upgrade_guide_dependencies)
	$(rst2html) --stylesheet=../../default.css $(dir $@)index.txt $@

derived_web_docs = $(htm_files) $(dev_htm_files) 
WEB_DOCS = $(derived_web_docs) $(non_txt_files)
ALL_DOCS = $(derived_web_docs) $(MAN_PAGES)

# the main target to build all the docs
docs-plain: $(ALL_DOCS)

# produce a tree containing just the final docs, ready for uploading to the web
HTMLDIR = html_docs
html-plain: docs-plain
	$(PYTHON) tools/win32/ostools.py copytree $(WEB_DOCS) $(HTMLDIR)

# clean produced docs
clean-plain:
	$(PYTHON) tools/win32/ostools.py remove $(ALL_DOCS) \
	    $(HTMLDIR) $(derived_txt_files)


### Miscellaneous Documentation Targets ###

# build a png of our performance task list
# this is no longer built by default; you can build it if you want to look at it
doc/developers/performance.png: doc/developers/performance.dot
	@echo Generating $@
	@dot -Tpng $< -o$@ || echo "Dot not installed; skipping generation of $@"


### Windows Support ###

# make all the installers completely from scratch, using zc.buildout
# to fetch the dependencies
# These are files that need to be copied into the build location to boostrap
# the build process.
# Note that the path is relative to tools/win32
BUILDOUT_FILES = buildout.cfg \
	buildout-templates/bin/build-installer.bat.in \
	ostools.py bootstrap.py

installer-all:
	@echo Make all the installers from scratch
	@# Build everything in a separate directory, to avoid cluttering the WT

=== debian/changelog ===
bzr (2.4.2-2) unstable; urgency=low

  * Fix bzrlib.osutils.local_concurrency() when used on GNU/kFreeBSD
    with Python's multiprocessing module available. Closes: #647690

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 07 Nov 2011 17:15:56 +0100

bzr (2.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 04 Nov 2011 23:16:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: bzr
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
+Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
 Uploaders: Jeff Bailey <jbailey@raspberryginger.com>,
            Wouter van Heyst <larstiq@larstiq.dyndns.org>,
            Reinhard Tartler <siretart@tauware.de>,
@@ -15,10 +14,14 @@
                python-all-dbg (>= 2.6.6-3),
                python-configobj (>= 4.7.2+ds-2),
                python-docutils,
+               python-lzma-dbg,
+               python-medusa,
+               python-meliae-dbg,
+               python-subunit,
                python-testtools (>= 0.9.5~)
 Standards-Version: 3.9.2
 X-Python-Version: >= 2.6
-Vcs-Bzr: https://code.launchpad.net/~bzr-core/ubuntu/oneiric/bzr/oneiric
+Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr/2.4
 Homepage: http://bazaar-vcs.org
 Dm-Upload-Allowed: yes

=== debian/rules ===
#!/usr/bin/make -f

# Get the suppoirted Python versions
PYVERS = $(shell pyversions -r -v)
# Get the default Python version
PYVERSION = $(shell pyversions -d -v)

# Callable functions to determine the correct PYTHONPATH
pythonpath = $$(ls -d $(CURDIR)/build/lib.*-$(1))
pythonpath_dbg = $$(ls -d $(CURDIR)/build/lib_d.*-$(1) 2>/dev/null || ls -d $(CURDIR)/build/lib.*$(1)-pydebug)

%:
	dh --with python2 --buildsystem=python_distutils $*

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
CONCURRENCY = BZR_CONCURRENCY=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	[ -d debian/bzrhome ] || mkdir debian/bzrhome
	$(CONCURRENCY) \
	BZR_HOME=debian/bzrhome \
	BZR_PLUGIN_PATH=-site:-user \
	BZR_DISABLE_PLUGINS=launchpad \
	PYTHONPATH=$(wildcard $(CURDIR)/build/lib.*-$(PYVERSION)) \
	$(CURDIR)/build/scripts-$(PYVERSION)/bzr selftest -v --parallel=fork
endif

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) clean-docs
	rm -rf debian/bzrhome
	rm -f bzrlib/*_pyx.c

override_dh_install:
	find debian/tmp/ -name "*.pyc" | xargs rm -f
	find debian/tmp/ -name "*.pyo" | xargs rm -f
	mkdir -p debian/python-bzrlib.tests/usr/lib \
		debian/python-bzrlib.tests/usr/share/pyshared/bzrlib
	for py in $(shell pyversions -r); do \
		mkdir -p debian/python-bzrlib.tests/usr/lib/$$py/dist-packages/bzrlib; \
		mv debian/tmp/usr/lib/$$py/dist-packages/bzrlib/tests \
			debian/python-bzrlib.tests/usr/lib/$$py/dist-packages/bzrlib/tests; \
	done
	dh_install --list-missing --fail-missing
	# Install the documentation; since html and txt and intermixed
	# under doc/, this is handier than trying to do it from bzr-doc.install. 
	for ext in txt html; do \
	    ( cd doc && find -name "*.$$ext" -print0 ) | \
	    	xargs -r0 -i'{}' -n1 install -D -m 644 'doc/{}' \
	    	"debian/bzr-doc/usr/share/doc/bzr/$$ext/{}"; \
	done
	# Install images as well
	( cd doc && find -name "*.png" -print0 ) | \
	    xargs -r0 -i'{}' -n1 install -D -m 644 'doc/{}' \
	    "debian/bzr-doc/usr/share/doc/bzr/html/{}"

override_dh_auto_build:
	dh_auto_build
	$(MAKE) docs

override_dh_compress:
	dh_compress -X.xvg -X.pdf

override_dh_strip:
	dh_strip -ppython-bzrlib --dbg-package=python-bzrlib-dbg

## bzr 2.5.0~beta1

=== debian/changelog ===
bzr (2.5.0~beta1-2) experimental; urgency=low

  * Add Build-Conflicts to python-gpgme, to work around test suite
    failures.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 20 Sep 2011 22:08:37 +0200

bzr (2.5.0~beta1-1) experimental; urgency=medium

  * New upstream release.
  * Move bzrtools from Recommends to Suggests.
  * Add python-gpgme-dbg to build dependencies.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 06 Sep 2011 17:05:06 +0200

## bzr 2.5.0~beta2

=== debian/changelog ===
bzr (2.5.0~beta2-2) experimental; urgency=low

  * Fix bzrlib.osutils.local_concurrency() when used on GNU/kFreeBSD
    with Python's multiprocessing module available. Closes: #647690

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 07 Nov 2011 16:15:28 +0100

bzr (2.5.0~beta2-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 04 Nov 2011 23:32:32 +0100

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/;s/b/.0~beta/" \
https://launchpad.net/bzr http://launchpad.net/bzr/.*/bzr-(.+).tar.gz

## bzr 2.5.0~beta3

=== debian/changelog ===
bzr (2.5.0~beta3-2) experimental; urgency=low

  * Build-depend on python-paramiko, python-pycurl and python-gpgme for use in
    the testsuite.
  * Support installing po files.
  * Don't install duplicate licence files, already documented in
    debian/copyright.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 11 Nov 2011 18:11:58 +0100

bzr (2.5.0~beta3-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 10 Nov 2011 15:07:50 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
            Wouter van Heyst <larstiq@larstiq.dyndns.org>,
            Reinhard Tartler <siretart@tauware.de>,
            Jelmer Vernooij <jelmer@debian.org>
-Build-Conflicts: python-gpgme
 Build-Depends: cython-dbg | python-pyrex,
                debhelper (>> 8.1.0~),
                python (>= 2.6.6-3),
@@ -15,8 +14,11 @@
                python-configobj (>= 4.7.2+ds-2),
                python-docutils,
                python-lzma-dbg,
+               python-gpgme-dbg,
                python-medusa,
                python-meliae-dbg,
+               python-paramiko,
+               python-pycurl-dbg,
                python-subunit,
                python-testtools (>= 0.9.5~)
 Standards-Version: 3.9.2
@@ -32,8 +34,7 @@
          ${misc:Depends},
          ${python:Depends}
 Breaks: python-bzrlib (<< 2.4.0~beta3~)
-Recommends: bzrtools
-Suggests: bzr-doc, bzr-gtk, bzr-svn, python-bzrlib.tests
+Suggests: bzr-doc, bzr-gtk, bzr-svn, python-bzrlib.tests, bzrtools
 Description: easy to use distributed version control system
  Bazaar is a distributed version control system designed to be easy to
  use and intuitive, able to adapt to many workflows, reliable, and

## bzr 2.5.0~beta4

=== Makefile ===
--- 
+++ 
@@ -43,7 +43,8 @@
 	# Generate a stream for PQM to watch.
 	-$(RM) -f selftest.log
 	echo `date` ": selftest starts" 1>&2
-	$(PYTHON) -Werror -Wignore::ImportWarning -O ./bzr selftest --subunit $(tests) | tee selftest.log
+	$(PYTHON) -Werror -Wignore::ImportWarning -O ./bzr selftest -Oselftest.timeout=120 \
+	  --subunit $(tests) | tee selftest.log
 	echo `date` ": selftest ends" 1>&2
 	# An empty log file should catch errors in the $(PYTHON)
 	# command above (the '|' swallow any errors since 'make'
@@ -359,4 +360,3 @@
 
 installer-all:
 	@echo Make all the installers from scratch
-	@# Build everything in a separate directory, to avoid cluttering the WT

=== debian/changelog ===
bzr (2.5.0~beta4-2) unstable; urgency=low

  * Fix Vcs-Bzr URL.
  * Drop python-gpgme from build-depends again until 0.2 lands in sid,
    to prevent test failures.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 08 Dec 2011 14:22:35 +0100

bzr (2.5.0~beta4-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 08 Dec 2011 12:24:34 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
            Wouter van Heyst <larstiq@larstiq.dyndns.org>,
            Reinhard Tartler <siretart@tauware.de>,
            Jelmer Vernooij <jelmer@debian.org>
+Build-Conflicts: python-gpgme
 Build-Depends: cython-dbg | python-pyrex,
                debhelper (>> 8.1.0~),
                python (>= 2.6.6-3),
@@ -14,7 +15,6 @@
                python-configobj (>= 4.7.2+ds-2),
                python-docutils,
                python-lzma-dbg,
-               python-gpgme-dbg,
                python-medusa,
                python-meliae-dbg,
                python-paramiko,

## bzr 2.5.0~bzr6458

=== debian/changelog ===
bzr (2.5.0~bzr6458-2) unstable; urgency=low

  * Ignore spurious test failures in
  ``test_handle_request_closes_if_it_doesnt_process``, causing
  spurious FTBFS on some architectures.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 25 Jan 2012 14:56:26 +0100

bzr (2.5.0~bzr6458-1) unstable; urgency=low

  * New upstream snapshot.
   + urllib HTTPS backend now verifies SSL certificates. Closes: #558460,
     LP: #651161

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 24 Jan 2012 23:43:36 +0100

bzr (2.5.0~beta5-3) unstable; urgency=low

  * Use CommitBuilder.get_basis_delta() in commit builder tests
    (necessary for bzr-svn).

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 22 Jan 2012 20:35:57 +0100

bzr (2.5.0~beta5-2) unstable; urgency=low

  * Add patch to use empty string for default colocated branch name.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 20 Jan 2012 18:00:20 +0100

bzr (2.5.0~beta5-1) unstable; urgency=low

  * New upstream release..
   + Add Breaks: for older versions of bzr-pqm, which don't provide config
     stacks.
   + Add Breaks: for older versions of bzr-xmloutput, which use
     relative lazy imports.
   + Drop 03_external_elementtree, now upstream.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 16 Jan 2012 18:58:22 +0100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
            Jelmer Vernooij <jelmer@debian.org>
 Build-Conflicts: python-gpgme
 Build-Depends: cython-dbg | python-pyrex,
+               ca-certificates,
                debhelper (>> 8.1.0~),
                python (>= 2.6.6-3),
                python-all-dev (>= 2.6.6-3),
@@ -33,7 +34,7 @@
          python-bzrlib (<= ${source:Version}.1~),
          ${misc:Depends},
          ${python:Depends}
-Breaks: python-bzrlib (<< 2.4.0~beta3~)
+Breaks: python-bzrlib (<< 2.4.0~beta3~), bzr-pqm (<< 1.4.0~bzr80), bzr-xmloutput (<< 0.8.8+bzr160)
 Suggests: bzr-doc, bzr-gtk, bzr-svn, python-bzrlib.tests, bzrtools
 Description: easy to use distributed version control system
  Bazaar is a distributed version control system designed to be easy to

## bzr 2.5.0

=== debian/changelog ===
bzr (2.5.0-2) unstable; urgency=low

  * Use parseable format for copyright file.
  * Bump standards version to 3.9.3.
  * Add 05_allow_no_slash_controldirs: Allow control directories to not
    support creating branches with forward slashes in their name.
  * Add basic test for autopkgtest.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 06 Mar 2012 01:27:01 +0100

bzr (2.5.0-1) unstable; urgency=low

  * New upstream release.
  * New zlib versions are slightly more efficient.
   + Add build dependency on zlib >= 1.2.6.
   + Add 06_new_zlib patch to fix test failures expecting slightly larger
     output in bzrlib.tests.test_btree_index.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 24 Feb 2012 18:13:29 +0100

bzr (2.5.0~bzr6473-1) unstable; urgency=low

  * New upstream snapshot.
   + No longer attempts to create directories with empty name.
     Closes: #657349

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 07 Feb 2012 16:24:36 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Wouter van Heyst <larstiq@larstiq.dyndns.org>,
            Reinhard Tartler <siretart@tauware.de>,
            Jelmer Vernooij <jelmer@debian.org>
-Build-Conflicts: python-gpgme
+Build-Conflicts: python-gpgme, python-sphinx
 Build-Depends: cython-dbg | python-pyrex,
                ca-certificates,
                debhelper (>> 8.1.0~),
@@ -21,10 +21,11 @@
                python-paramiko,
                python-pycurl-dbg,
                python-subunit,
-               python-testtools (>= 0.9.5~)
-Standards-Version: 3.9.2
+               python-testtools (>= 0.9.5~),
+               zlib1g (>= 1:1.2.6)
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.6
-Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr/2.4
+Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr/2.5
 Homepage: http://bazaar-vcs.org
 Dm-Upload-Allowed: yes

## bzr 2.5.0+bzr6492

=== debian/changelog ===
bzr (2.5.0+bzr6492-1) unstable; urgency=low

  * Recommend python-gpgme in the bzr package. Closes: #663272
  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 19 Mar 2012 02:38:36 +0100

=== debian/control ===
--- 
+++ 
@@ -30,6 +30,7 @@
 Dm-Upload-Allowed: yes
 
 Package: bzr
+Recommends: python-gpgme
 Architecture: all
 Depends: python-bzrlib (>= ${source:Version}),
          python-bzrlib (<= ${source:Version}.1~),

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/;s/b/.0~beta/" \
https://launchpad.net/bzr/+download https://launchpad.net/bzr/.*/bzr-2.5.(.+).tar.gz

## bzr 2.5.1

=== debian/changelog ===
bzr (2.5.1-0ubuntu2) precise-proposed; urgency=low

  * Revert use of --no-tty when using gpg to sign commits. LP: #1014570

 -- Jelmer Vernooij <jelmer@ubuntu.com>  Fri, 29 Jun 2012 12:44:09 +0200

bzr (2.5.1-0ubuntu1) precise-proposed; urgency=low

  * New upstream release.
   + Fixes handling of colocated branches in `bzr rmbranch`. LP: #920653
   + rmbranch now refuses to remove active branch. LP: #922953
   + Connecting with HTTPS via HTTP correctly uses host name of destination
     rather than that of proxy. LP: #944696
   + No longer requires tty when GPG signing commits. LP: #847388
   + Fixes unicode erorrs when translated progress task messages
     contain non-ascii text. LP: #966934
   + Fixes display of help for configuration options that overlap
     with other topics. LP: #941672
  * Drop 06_spurious_test_failure: applied upstream.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 28 May 2012 13:36:02 +0200

bzr (2.5.0-2ubuntu2) precise; urgency=low

  * Add 06_spurious_test_failure: mark flapping test as known
    failing if it fails.
  * Update Vcs-Bzr field to refer to precise rather than oneiric
    location.

 -- Jelmer Vernooij <jelmer@ubuntu.com>  Wed, 04 Apr 2012 02:09:24 +0200

bzr (2.5.0-2ubuntu1) precise; urgency=low

  * Merge from Debian. Remaining changes:
   + Drop build dependencies on python-{meliae,lzma,medusa}, which are
     not in main.
   + Drop 06_new_zlib patch and add build-conflicts for newer versions of
     zlib.
   + Adjust Vcs field in debian/control for Ubuntu

 -- Scott Kitterman <scott@kitterman.com>  Wed, 21 Mar 2012 23:10:53 -0400

bzr (2.5.0-1ubuntu1) precise; urgency=low

  * Merge from Debian. Remaining changes:
   + Drop build dependencies on python-{meliae,lzma,medusa}, which are
     not in main.
  * Drop 06_new_zlib patch and add build-conflicts for newer versions of
    zlib.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 25 Feb 2012 16:13:22 +0100

bzr (2.5.0~bzr6473-1ubuntu1) precise; urgency=low

  * Merge from Debian. Remaining changes:
   + Drop build dependencies on python-{meliae,lzma,medusa}, which are
     not in main.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 23 Jan 2012 13:42:55 +0100

bzr (2.5.0~beta5-3ubuntu1) precise; urgency=low

  * Merge from Debian. Remaining changes:
   + Drop build dependencies on python-{meliae,lzma,medusa}, which are
     not in main.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 23 Jan 2012 13:42:55 +0100

bzr (2.5.0~beta5-2ubuntu1) precise; urgency=low

  * Merge from Debian. Remaining changes:
   + Drop build dependencies on python-{meliae,lzma,medusa}, which are
     not in main.

 -- Jelmer Vernooij <jelmer@ubuntu.com>  Fri, 20 Jan 2012 19:19:52 +0100

bzr (2.5.0~beta5-1ubuntu1) precise; urgency=low

  * Merge from Debian. Remaining changes:
   + Drop build dependencies on python-{meliae,lzma,medusa}, which are
     not in main.

 -- Jelmer Vernooij <jelmer@ubuntu.com>  Mon, 16 Jan 2012 20:04:45 +0100

bzr (2.5.0~beta4-1ubuntu1) precise; urgency=low

  * Merge from Debian. Remaining changes:
   + Drop build dependencies on python-{meliae,lzma,medusa}, which are
     not in main.

 -- Jelmer Vernooij <jelmer@ubuntu.com>  Thu, 08 Dec 2011 13:21:44 +0100

bzr (2.5.0~beta3-2ubuntu2) precise; urgency=low

  * Drop python-gpgme-dbg from build-depends, since it is not in main.

 -- Jelmer Vernooij <jelmer@ubuntu.com>  Tue, 29 Nov 2011 18:50:24 +0100

bzr (2.5.0~beta3-2ubuntu1) precise; urgency=low

  * Merge from Debian.  Remaining changes:
   + Drop build dependencies on python-{meliae,lzma,medusa}, which are
     not in main.

 -- Jelmer Vernooij <jelmer@ubuntu.com>  Thu, 10 Nov 2011 16:02:01 +0100

bzr (2.5.0~beta3-1ubuntu1) precise; urgency=low

  * Merge from Debian.  Remaining changes:
   + Drop build dependencies on python-{subunit,meliae,lzma,medusa}, which are
     not in main.
   + Disable support for running selftest in parallel (requires subunit).

 -- Jelmer Vernooij <jelmer@ubuntu.com>  Thu, 10 Nov 2011 16:02:01 +0100

bzr (2.5.0~beta2-0ubuntu1) precise; urgency=low

  * New upstream release.
   + Fixes compatibility with cython 0.15. LP: #837221
   + Fixes handling of timestamps in diffs for absent files in working tree.
     LP: #847435
   + Fixes overflow error in dirstate when dealing with large files.
     LP: #683191
  * Merge from Debian.  Remaining changes:
   + Drop build dependencies on python-{subunit,meliae,lzma,medusa}, which are
     not in main.
   + Disable support for running selftest in parallel (requires subunit).

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 04 Nov 2011 22:55:11 +0100

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/;s/b/.0~beta/" \
https://launchpad.net/bzr/2.5 https://launchpad.net/bzr/.*/bzr-(.+).tar.gz

## bzr 2.6.0~beta2

=== debian/changelog ===
bzr (2.6.0~beta2-0ubuntu1) quantal; urgency=low

  * New upstream release.
   + Make lazy imports proxy by default so that concurrent resolution is
     robust. LP: #593536
   + Crash report squashes errors when formatting plugin list.
     LP: #488766
   + Launchpad plugin subcommands are now documented in the
     manual page. LP: #843801
   + New shortcut 'co:' for referring to colocated branches. LP: #833665
   + bzr missing will now show revision tags. LP: #559072
   + BZR_REMOTE_PATH is now documented in the manual page. LP: #197618
   + Prevent erroneous writing of branch configuration. LP: #948339
   + New --overwrite-tags option for push and pull. LP: #681792
   + Support readline() when streaming files over HTTP. LP: #963769
  * Drop no-tty reversion patch; now included upstream.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 11 Jul 2012 12:58:34 +0200

bzr (2.6.0~beta1-0ubuntu2) quantal; urgency=low

  * Revert use of --no-tty. LP: #1014570

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 29 Jun 2012 11:17:51 +0200

bzr (2.6.0~beta1-0ubuntu1) quantal; urgency=low

  * New upstream release.
   + Fixes handling of colocated branches in `bzr rmbranch`. LP: #920653
   + rmbranch now refuses to remove active branch. LP: #922953
   + Connecting with HTTPS via HTTP correctly uses host name of destination
     rather than that of proxy. LP: #944696
   + No longer requires tty when GPG signing commits. LP: #847388
   + Fixes unicode erorrs when translated progress task messages
     contain non-ascii text. LP: #966934
   + Fixes display of help for configuration options that overlap
     with other topics. LP: #941672
   + Drop 06_spurious_test_failure: applied upstream. LP: #874153
   + Drop 05_allow_no_slash_controldirs: applied upstream.
  * Drop unnecessary build conflicts with zlib.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 08 Jun 2012 12:59:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: bzr
 Section: vcs
 Priority: optional
-Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
 Uploaders: Jeff Bailey <jbailey@raspberryginger.com>,
            Wouter van Heyst <larstiq@larstiq.dyndns.org>,
            Reinhard Tartler <siretart@tauware.de>,
            Jelmer Vernooij <jelmer@debian.org>
-Build-Conflicts: python-gpgme, python-sphinx
 Build-Depends: cython-dbg | python-pyrex,
                ca-certificates,
                debhelper (>> 8.1.0~),
@@ -15,22 +15,17 @@
                python-all-dbg (>= 2.6.6-3),
                python-configobj (>= 4.7.2+ds-2),
                python-docutils,
-               python-lzma-dbg,
-               python-medusa,
-               python-meliae-dbg,
                python-paramiko,
                python-pycurl-dbg,
                python-subunit,
-               python-testtools (>= 0.9.5~),
-               zlib1g (>= 1:1.2.6)
+               python-testtools (>= 0.9.5~)
 Standards-Version: 3.9.3
 X-Python-Version: >= 2.6
-Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr/2.5
+Vcs-Bzr: https://code.launchpad.net/~bzr-core/ubuntu/precise/bzr/precise
 Homepage: http://bazaar-vcs.org
 Dm-Upload-Allowed: yes
 
 Package: bzr
-Recommends: python-gpgme
 Architecture: all
 Depends: python-bzrlib (>= ${source:Version}),
          python-bzrlib (<= ${source:Version}.1~),

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/;s/b/.0~beta/" \
https://launchpad.net/bzr https://launchpad.net/bzr/.*/bzr-(.+).tar.gz

## bzr 2.6.0~bzr6511

=== debian/changelog ===
bzr (2.6.0~bzr6511-1) unstable; urgency=low

  * New upstream snapshot.
   + Fixes acute accent marks in manual page. Closes: #458157
   + Documents launchpad plugin commands in manual page.
     Closes: #452503
   + Fixes 'bzr help branches'. Closes: #664777

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 19 Mar 2012 03:05:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: bzr
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
+Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
 Uploaders: Jeff Bailey <jbailey@raspberryginger.com>,
            Wouter van Heyst <larstiq@larstiq.dyndns.org>,
            Reinhard Tartler <siretart@tauware.de>,
            Jelmer Vernooij <jelmer@debian.org>
+Build-Conflicts: python-gpgme, python-sphinx
 Build-Depends: cython-dbg | python-pyrex,
                ca-certificates,
                debhelper (>> 8.1.0~),
@@ -15,17 +15,21 @@
                python-all-dbg (>= 2.6.6-3),
                python-configobj (>= 4.7.2+ds-2),
                python-docutils,
+               python-lzma-dbg,
+               python-medusa,
+               python-meliae-dbg,
                python-paramiko,
                python-pycurl-dbg,
                python-subunit,
                python-testtools (>= 0.9.5~)
 Standards-Version: 3.9.3
 X-Python-Version: >= 2.6
-Vcs-Bzr: https://code.launchpad.net/~bzr-core/ubuntu/precise/bzr/precise
+Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr/2.6
 Homepage: http://bazaar-vcs.org
 Dm-Upload-Allowed: yes
 
 Package: bzr
+Recommends: python-gpgme
 Architecture: all
 Depends: python-bzrlib (>= ${source:Version}),
          python-bzrlib (<= ${source:Version}.1~),

## bzr 2.6.0~bzr6526

=== debian/changelog ===
bzr (2.6.0~bzr6526-1) unstable; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 22 Jun 2012 01:28:50 +0200

bzr (2.6.0~bzr6522-1) unstable; urgency=low

  * Remove Jeff Bailey and Reinhard Tartler from uploaders.
  * Update 03_spurious_test_failure: Disable two more flaky tests.
  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 16 Apr 2012 22:58:43 +0200

bzr (2.6.0~bzr6520-1) unstable; urgency=low

  * New upstream snapshot.
   + Drop 04_serve_address patch, now applied upstream.
   + Fixes cloning from HTTP URLs using urllib. Closes: #666496

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 10 Apr 2012 12:55:57 +0200

bzr (2.6.0~bzr6511-2) unstable; urgency=low

  * Add 04_serve_address to cope with localhost lookup issues during the
    testsuite on some buildds.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 21 Mar 2012 15:04:19 +0100

=== debian/rules ===
--- 
+++ 
@@ -43,6 +43,10 @@
 		mv debian/tmp/usr/lib/$$py/dist-packages/bzrlib/tests \
 			debian/python-bzrlib.tests/usr/lib/$$py/dist-packages/bzrlib/tests; \
 	done
+	if [ -d debian/tmp/usr/share/locale ]; then \
+		mkdir -p debian/python-bzrlib/usr/share; \
+		mv debian/tmp/usr/share/locale debian/python-bzrlib/usr/share/locale; \
+	fi;
 	dh_install --list-missing --fail-missing
 	# Install the documentation; since html and txt and intermixed
 	# under doc/, this is handier than trying to do it from bzr-doc.install. 
@@ -51,6 +55,7 @@
 	    	xargs -r0 -i'{}' -n1 install -D -m 644 'doc/{}' \
 	    	"debian/bzr-doc/usr/share/doc/bzr/$$ext/{}"; \
 	done
+	rm debian/bzr-doc/usr/share/doc/bzr/txt/*/*/licence.txt
 	# Install images as well
 	( cd doc && find -name "*.png" -print0 ) | \
 	    xargs -r0 -i'{}' -n1 install -D -m 644 'doc/{}' \
